Update Applicant: Propertyware
https://api.propexo.com/v1/applicants/propertyware/:applicant_id| Method |
|---|
| updateApplicant |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address
Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.
City of the applicant's primary address. This maps to the city property of the Applicant's primary address.
custom_data objectdeprecated
Deprecated: Field is no longer applicable
Date of birth of the applicant. This maps to the birthDate property of the Applicant object.
The primary email address for the applicant. This value maps to the email property of the Applicant object
The first name of the applicant. This value maps to the firstName property of the Applicant object.
The Propexo unique identifier for the integration
The last name of the applicant. This value maps to the lastName property of the Applicant object
The ID of the lead source. This maps to the originatingLeadSourceId property of the Application object.
Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.
The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
Show 4 enum values
HOMEWORKMOBILEFAXApplicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.
The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
Show 4 enum values
HOMEWORKMOBILEFAXState of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.
The external ID of the property from the integration vendor
The external ID of the unit from the integration vendor
Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.
Response
Successful response
meta objectrequired
result objectrequired
First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address
Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.
City of the applicant's primary address. This maps to the city property of the Applicant's primary address.
custom_data object | nullrequireddeprecated
Date of birth of the applicant. This maps to the birthDate property of the Applicant object.
The primary email address for the applicant. This value maps to the email property of the Applicant object
The first name of the applicant. This value maps to the firstName property of the Applicant object.
The Propexo unique identifier for the integration
The last name of the applicant. This value maps to the lastName property of the Applicant object
The ID of the lead source. This maps to the originatingLeadSourceId property of the Application object.
Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.
The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
Show 4 enum values
HOMEWORKMOBILEFAXApplicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.
The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
Show 4 enum values
HOMEWORKMOBILEFAXState of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.
The external ID of the property from the integration vendor
The external ID of the unit from the integration vendor
Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/applicants/propertyware/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"x_property_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"address_1": "string",
"address_2": "string",
"city": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"first_name": "string",
"integration_id": "string",
"last_name": "string",
"originating_lead_source_id": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"state": "string",
"x_property_id": "string",
"x_unit_id": "string",
"zip": "string"
}
}